const num1 = parseFloat(prompt("Please enter the firs number"));
const num2 = parseFloat(prompt("Please enter the second number"));
const operation = prompt("Please enter the operation (+, -, *, /)");

function calculate(num1, num2, operation) {
    let result;


    switch (operation) {
        case "+":
            result = num1 + num2;
            break;

        case "-":
            result = num1 - num2;
            break;

        case  "*":
            result = num1 * num2;
            break;

        case "/":
            result = num1 / num2;
            break;

        default:
            console.log("Invalid operation");
            return;
    }

    console.log(`Result: ${result}`);
}

calculate(num1, num2, operation);



/*
Теоретичні питання

1.Описати своїми словами навіщо потрібні функції у програмуванні.
2.Описати своїми словами, навіщо у функцію передавати аргумент.
3.Що таке оператор return та як він працює всередині функції?



1.Функції дозволяють створювати більш складні програми шляхом розбиття програм на менші блоки,
які можна тестувати, змінювати та вдосконалювати окремо від інших частин програми. Крім того,
функції дають можливість використовувати вхідні параметри для обробки даних та повернення результату
виконання задачі. В результаті, функції допомагають зробити код більш структурованим, зрозумілим та підтримуваним,
що сприяє ефективнішому розробленню програмного забезпечення.


2.У функції аргументи є змінними, які використовуються для передачі даних з викликуючого коду в тіло функції.
Аргументи дозволяють зробити функцію більш універсальною та зручною в використанні, оскільки вони дозволяють
використовувати різні значення в різних контекстах без необхідності створювати копії функції з однаковим кодом.


3.Оператор return у функції вказує на те, що функція повертає певне значення і завершує свою роботу.
 При виконанні операції return виконання функції припиняється, і контроль повертається до місця,
 де була викликана ця функція.
 */